View Issue Details

IDProjectCategoryView StatusLast Update
0005016Talerdeployment and operationspublic2018-04-15 20:34
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005016: exchange key and standalone db
Description1. The deployment utility taler-deployment-config-generate needs the exchange's public key. Currently, no utility
generates the key before taler-deployment-config-generate. The "bootstrap" utility could do this.

2. The standalone deployment uses a postgres db instance run as a ARM service, so before calling taler-deployment-build
(which calls the various testcases) the postgres-standalone-service should be launched (manually or by some script).
TagsNo tags attached.

Activities

Marcello Stanisci

2017-05-18 16:07

manager   ~0012140

As of 2. A possible fix might be adding a '--no-check' flag to taler-deployment-build, so that it only installs.
After a successful installation, then the user manually starts the db and (if needed) she calls taler-deployment-build
again which will run the tests this time.

Christian Grothoff

2017-12-14 15:56

manager   ~0012687

The 'gnunet-ecc' tool (with -g1) can be used to generate the keys. Should be trivial to extend the script to call gnunet-ecc if the file does not exist, right?

Marcello Stanisci

2017-12-26 19:04

manager   ~0012704

No need to generate master public key: we keep it under version, therefore just copy it when deploying.

The database is just started manually, and 'onboarding' docs (d1a404e) mention how to do it. Bank and other involved codebases have been adapted to this.

Issue History

Date Modified Username Field Change
2017-05-18 15:02 Marcello Stanisci New Issue
2017-05-18 15:02 Marcello Stanisci Assigned To => Marcello Stanisci
2017-05-18 15:02 Marcello Stanisci Status new => assigned
2017-05-18 16:07 Marcello Stanisci Note Added: 0012140
2017-12-14 15:56 Christian Grothoff Product Version => SVN HEAD
2017-12-14 15:56 Christian Grothoff Target Version => 0.6
2017-12-14 15:56 Christian Grothoff Note Added: 0012687
2017-12-26 19:04 Marcello Stanisci Status assigned => resolved
2017-12-26 19:04 Marcello Stanisci Resolution open => fixed
2017-12-26 19:04 Marcello Stanisci Note Added: 0012704
2017-12-28 17:28 Christian Grothoff Fixed in Version => 0.5
2017-12-28 17:28 Christian Grothoff Target Version 0.6 => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed